import type { DumbSymTbl, SFn, ScopedName, SimpleSymbol, Sym, SymbolTable } from './types.js';
export declare function MakeScopedName(fullName: string): ScopedName;
export declare function MakeSymbol(piecesOrName: string, value: string | (() => string), table: DumbSymTbl): SimpleSymbol | undefined;
export declare function LookupSymbol(fullName: string | ScopedName, table: DumbSymTbl): string | (() => string) | undefined;
export declare function GetNestedChild(vrbl: SimpleSymbol, ...children: string[]): SimpleSymbol | undefined;
export declare function MakeSym({ name, value, parent, children, }: {
    name: string;
    value?: string | SFn;
    parent?: SymbolTable;
    children?: SymbolTable;
}): Sym;
export declare function MakeSymbolTable(parentOptional?: Sym): SymbolTable;
