import type { BuildSystemHost, Definition, DependentUpon, DependentValue, ParsedFile, SimpleSymbol } from './types.js';
export declare function GetTarget(): BuildSystemHost;
export declare function ResolvedValue(vrbl: SimpleSymbol, parsedFile: ParsedFile): string;
export declare function MakeDependentValue(value: string): DependentValue;
export declare function ResolveString(val: DependentValue, src: string, dst: string): DependentValue;
export declare function MakeResolve(val: DependentValue, toResolve: string, resolvedValue: string): DependentValue;
export declare function GetPlainValue(vrbl: SimpleSymbol): DependentValue;
export declare function QuoteIfNeeded(inv: string): string;
export declare function Unquote(inv: string): string;
export declare function CalculateChecksAndOrderDefinitions(defs: Definition[], rules: DependentUpon[], optionalDefs: string[]): {
    checks: string[];
    defs: Definition[];
};
