type TransformItem = {
    defmatch: string;
    text: string;
    replace: string;
};
type FilterItem = {
    defmatch: string;
    remove: string;
};
type Config = {
    transforms: TransformItem[];
    filters: FilterItem[];
};
export declare function IsConfigPresent(): boolean;
export declare function ReadConfig(cfgPath: string): Promise<Partial<Config> | undefined>;
export declare function Transform(name: string, value: string): {
    name: string;
    value: string;
};
export declare function Filter(name: string, files: string[]): string[];
export {};
