import { Condition, Definition, FilterFunc, SimpleSymbol, ValueMakerFunc } from '../types.js';
export declare function MakeIfeq(variable: string, value: string): Condition;
export declare function MakeIfneq(variable: string, value: string): Condition;
export declare function MakeIfdef(variable: string): Condition;
export declare function MakeIfndef(variable: string): Condition;
export declare function MakeIf(variable: string): Condition;
export declare function MakeSeqDef(name: string, value: string, dependsOn?: string[], condition?: Condition[]): Definition;
export declare function MakeAppend(name: string, value: string, dependsOn?: string[], condition?: Condition[]): Definition;
export declare function MakeUnDecl(name: string, value: string, dependsOn?: string[], condition?: Condition[]): Definition;
export declare function MakifyName(nm: string): string;
export declare function MakeDefinitions(top: SimpleSymbol, valueMaker: ValueMakerFunc, condition: Condition[] | undefined | null, filter?: FilterFunc): Definition[];
export declare function MakeDeclDef(name: string, value: string, dependsOn?: string[], condition?: Condition[]): Definition;
export declare function prefixAndJoinFiles(filteredFiles: string[], prefixer?: (str: string) => string, trimmer?: string): string;
export declare function MakeSrcList(name: string, files: string[], depend: string | string[], cnd: Condition[], prefixer?: (str: string) => string, trimmer?: string): Definition;
